Summary: UUID Perl extension for using UUID interfaces as defined in e2fsprogs
Name: perl-UUID
Version: 0.05.2
Release: op5.1
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/~lzap/UUID-0.05/UUID.pm
BuildRoot: %{_tmppath}/%{name}-%{version}
Source0: %name-%version.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libuuid-devel
%if 0%{?suse_version}
# SLES-specific stuff
Requires: perl = %{perl_version}
%else
# Common RHEL stuff
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif

%description
%{summary}.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf %buildroot

make pure_install PERL_INSTALL_ROOT=%buildroot

find %buildroot -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find %buildroot -type d -depth -exec rmdir {} 2>/dev/null ';'

chmod -R u+w %buildroot/*

for brp in %{_prefix}/lib/rpm/%{_build_vendor}/brp-compress \
  %{_prefix}/lib/rpm/brp-compress
do
  [ -x $brp ] && $brp && break
done

find %buildroot -type f \
| sed "s@^%buildroot@@g" \
> %{name}-%{version}-%{release}-filelist

eval `%{__perl} -V:archname -V:installsitelib -V:installvendorlib -V:installprivlib`
for d in $installsitelib $installvendorlib $installprivlib; do
  [ -z "$d" -o "$d" = "UNKNOWN" -o ! -d "%buildroot$d" ] && continue
  find %buildroot$d/* -type d \
  | grep -v "/$archname\(/auto\)\?$" \
  | sed "s@^%buildroot@%dir @g" \
  >> %{name}-%{version}-%{release}-filelist
done

if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)

%doc Changes License
